package com.palacesun.engine.outage;

import com.palacesun.engine.event.JdbcEventListener;
import com.palacesun.engine.spy.P6Factory;
import com.palacesun.engine.spy.P6LoadableOptions;
import com.palacesun.engine.spy.option.P6OptionsRepository;

public class P6OutageFactory implements P6Factory {
   public JdbcEventListener getJdbcEventListener() {
      return OutageJdbcEventListener.INSTANCE;
   }

   public P6LoadableOptions getOptions(P6OptionsRepository optionsRepository) {
      return new P6OutageOptions(optionsRepository);
   }
}
